
RaidPresets = 
{
	Sets = 
	{
		Raid1 = 
		{
			{5, Characters.Minitron},
			{3, Characters.Corruptron}
		},
		Raid2 = 
		{
			{15, Characters.Minitron}
		},
		Raid3 = 
		{
			{8, Characters.Minitron},
			{1, Characters.Biftron}
		},
		Raid4 = 
		{
			{6, Characters.Corruptron}
		},
		Raid5 = 
		{
			{6, Characters.Minitron},
			{4, Characters.Corruptron}
		},
		Raid6 = 
		{
			{15, Characters.Minitron},
			{5, Characters.Corruptron}
		},
		Raid7 = 
		{
			{22, Characters.Minitron}
		},
		Raid8 = 
		{
			{10, Characters.Minitron},
			{2, Characters.Biftron}
		},
		Raid9 = 
		{
			{7, Characters.Corruptron},
			{1, Characters.Biftron}
		},
		Raid10 = 
		{
			{5, Characters.Minitron},
			{5, Characters.Corruptron},
			{1, Characters.Biftron}
		},
		Raid11 = 
		{
			{20, Characters.Minitron},
			{3, Characters.Corruptron},
			{1, Characters.Biftron}
		},
		Raid12 = 
		{
			{5, Characters.Minitron},
			{8, Characters.Corruptron},
			{1, Characters.Biftron}
		},
		Raid13 = 
		{
			{15, Characters.Minitron},
			{3, Characters.Biftron}
		},
		Raid14 = 
		{
			{8, Characters.Corruptron},
			{2, Characters.Biftron}
		},
		Raid15 = 
		{
			{5, Characters.Minitron},
			{5, Characters.Corruptron},
			{1, Characters.Biftron}
		},
		Raid16 = 
		{
			{3, Characters.Minitron}
		},
		Raid17 = 
		{
			{1, Characters.Biftron}
		},
		Raid18 = 
		{
			{1, Characters.Biftron},
			{4, Characters.Corruptron}
		},
		Raid19 = 
		{
			{1, Characters.Biftron},
			{2, Characters.Corruptron},
			{2, Characters.Minitron}
		},
		Raid17 = 
		{
			{2, Characters.Biftron},
			{2, Characters.Corruptron}
		},
	},

	GetUnderBudget = function(budget)

		local affordable = {}
		for i, set in pairs(RaidPresets.Sets) do
			if RaidPresets.GetCostOf(set) <= budget then
				table.insert(affordable, set)
			end
		end
		if #affordable == 0 then
			return nil
		end
		local test = affordable[ math.random(#affordable)]
		return test
	end,

	GetCostOf = function(preset)
		local cost = 0
		for j, pair in pairs(preset) do
			cost = cost + (pair[1] * pair[2].Cost)
		end
		return cost
	end
}
