sv_Serialize(true)

--These all get overritten by presets if those are loaded with the map
sv_Settings = 
{
	--Wave Intervals
	displayTimeBeforeWave = true,
	firstWaveDurationBonus = 150.0,
	waveDuration = 450.0,
	--Wave Difficulty
	firstWaveBudget = 2,
	additionalWaveBudget = 2,
	waveBudgetMultiplier = 1,
	waveBudgetRandom = 0,
	--Wave Sapwning
	allowEnemySpawnerSpawns = true,
	--Wave Trigger Condition
	canManualTriggerWaves = true,
	--Resources
	startingWorkersCount = 3,
	startingKnightCount = 2,
	startingArcherCount = 1,
	startingFireflies = 2,
	refundMinitron = 0.20,
	refundCorruptron = 0.45,
	refundBiftron = 1.0,
	timeToFireflyAbsorption = 60.0,
	--Global Settings
    bricktronPopulationCap = 25,
	baseBricktronPrice = 1,
	baseBricktronPriceMultiplier = 1.25,
	canDigGround = false,
	--Time of Day
	startingTimeOfDay = 9,
	daynightCycleSetting = 0, --0 == daytime/nightime, 1 == only daytime, 2 == only nighttime
	daytimeFactor = 2.0,
	nighttimeFactor = 1.0
}

sv_SaveParams = 
{
	waveNumber = 1, 
	waveTimer = nil,
	deadCorruptronCount = 0,
	waveBudget = 0
}

Characters = {
	Bricktron = {
		Ref = fy_Bricktron,
		Cost = 1
	},
	Corruptron = {
		Ref = fy_Corruptron,
		Cost = 4
	},
	Biftron = {
		Ref = fy_Biftron,
		Cost = 12
	},
	Minitron = {
		Ref = fy_Minitron,
		Cost = 3
	}
}

CorruptedFaction = Faction.FindByName("Corrupted")