--[[Player = class(function(ply, User)
              ply.user = User
           end)]]

Player = {}
Player.__index = Player

setmetatable(Player, {
  __call = function (ply, user)
    local self = setmetatable({}, ply)
    self:_init(user)
    return self
  end,
})

function Player:_init(user)
  self.user = user
  self.faction = user.alliedFaction
end