
function OnLevelLoaded()
	Rules.ToggleFog(false)
end
Hooks.Connect(hk_OnLevelLoaded, OnLevelLoaded)

function OnGameObjectsLoaded()
	for x, mine in pairs(fy_AbstractMagicMine.GetAll()) do
        Destroy(mine)
    end
end
Hooks.Connect(hk_OnGameObjectsLoaded, OnGameObjectsLoaded)

function OnNewLevelLoaded()

    local spawnPoints = Markers.GetGroup("Player Starting Point")
    local factions = Faction.GetAll()

    if #spawnPoints == 0 then
        error("No spawnpoints in map")
    else
        for x, faction in pairs(factions) do
            if faction.HasOwner() then
                spawnPoint = table.remove(spawnPoints, math.random(#spawnPoints))
                local spawnCrystal = fy_Crystal.New(faction, spawnPoint.position)
                spawnCrystal.isInvincible = true
                spawnCrystal.unitsPossibleToSpawn = sv_Settings.startingFireflies

                for i = 1, sv_Settings.startingWorkersCount do
                    fy_Bricktron.New(faction, Random.VoxelAround(spawnPoint.position))
                end
            end
        end

    end

	Skybox.dayTime = sv_Settings.startingTimeOfDay	
	Skybox.dayLengthFactor = sv_Settings.daytimeFactor
	Skybox.nightLengthFactor = sv_Settings.nighttimeFactor

end
Hooks.Connect(hk_OnNewLevelLoaded, OnNewLevelLoaded)