define "STANDALONE"

function AddButton(button, target)
	
	button.showBackgroundByDefault = false
	target.AddElement(button)

	if target == GS_ExtendedTaskbar.Main then
		button.anchorMax = Vector2.New(0.5, 0.5)
		button.anchorMin = Vector2.New(0.5, 0.5)
		button.sizeDelta = Vector2.New(65, 64)
		button.anchoredPosition = Vector2.zero
	end

end 

function Init()
	AddButton(lui_UniversalButton.NewButton("Remove", IconKeys.UI_X.Get64(), function() UIGame.GetSelected().Remove() end, Color.white, "Remove"), GS_ExtendedTaskbar.Main)
end

function SetFaction(name)
	local faction = Faction.GetByName(name)
	if faction ~= nil then
		UIGame.GetSelected().faction = faction
	end
end

Hooks.LateConnect(hk_OnFactoriesReady, Init)

