
sv_Serialize(true)

--These all get overritten by presets if those are loaded with the map
--If you want to change values, change them there and/or make your own preset
sv_Settings = {
	--Raid Management
	raidBudgetIncreaseInterval = 180.0,
	minimumTimeBeforeHostilities = 600.0,
	maximumTimeBetweenAttacks = 1200.0,
	enemyLevelUpInterval = 1200.0,
	startingRaids = 1,
	reinforcementInterval = 30,
	maximumRaids = 2,
	maximumSimultaneousAttackRaid = 2,
	minimumSimultaneousDefenceRaid = 1,
    maximumSkirmishRaids = 3,
    missedReinforcementsForSkirmish = 5,
	startingCorruptCrystals = 2,
	forcePlayerFirefliesToPlayerCrystal = true,
	--Resources
	startingWorkersCount = 3,
	startingKnightCount = 2,
	startingArcherCount = 1,
	startingFireflies = 2,
	refundBricktron = 1.0,
	refundMinitron = 0.20,
	refundCorruptron = 0.45,
	refundBiftron = 1.0,
	timeToFireflyAbsorption = 60.0,
	--Global Settings
	bricktronPopulationCap = 10,
	crystalPopulationIncrease = 3,
	baseBricktronPrice = 1,
	baseBricktronPriceMultiplier = 1.25,
	canDigGround = false,
	playerRelations = 2, --0 == allied, 1 == neutral, 2 == enemy
	--Time of Day
	startingTimeOfDay = 9,
	daynightCycleSetting = 0, --0 == daytime/nightime, 1 == only daytime, 2 == only nighttime
	daytimeFactor = 1.0,
	nighttimeFactor = 1.0
}

sv_SaveParams = {}

Characters = {
	Bricktron = {
		Ref = fy_Bricktron,
		Cost = 1
	},
	Corruptron = {
		Ref = fy_Corruptron,
		Cost = 5
	},
	Biftron = {
		Ref = fy_Biftron,
		Cost = 8
	},
	Minitron = {
		Ref = fy_Minitron,
		Cost = 2
	}
}

Registry = {
	raidBudget = 1,
	currentLevel = 1,
	attackRaidsCount = 0,
    skirmishRaidsCount = 0,
	defendRaidsCount = 0,
	defendRaidRequired = 0,
	attackRaidLimit = 0,
    skirmishRaids = 0,
    missedReinforcements = 0,
	timers = {
		raidBudget = nil,
		timeBeforeHostility = nil,
		maxTimeBetweenAttacks = nil,
		timeBetweenLevels = nil,
		timeBeforeReinforcement = nil
	}
}

InterestPoints = {}

CorruptedFaction = Faction.FindByName("Corrupted")