include "invasion.lua"

function OnNewLevelLoaded()
	InitInvasion()
	fy_MagicMine.__Global.maxWorkers = 2
	if sv_Settings.canDigGround == false then
		Rules.SetDigRules( {Diggables.Crust, Diggables.Artificial})
		Rules.SetExplosionRules( {Diggables.Crust, Diggables.Artificial})
		Rules.SetAllowedTasks( {TaskType.Construction, TaskType.Lumber, TaskType.Cleaning, TaskType.Repair} ) --TaskType.Tunnel, TaskType.Landscape, TaskType.Quarry
		Mergeback.allowMergeback = false
	end
end
Hooks.Connect(hk_OnNewLevelLoaded, OnNewLevelLoaded)

function OnLevelLoaded()
	Table = {}
	Table[0] = sv_SaveParams.waveTimer
	Hooks.Invoke(hk_OnServerMessage,{Table})
end
Hooks.Connect(hk_OnLevelLoaded, OnLevelLoaded)