define "GAMEMODE"
include	"ui.lua"

function OnHostLoaded()
	UISetup()

	local crystals = fy_Crystal.GetAll()
	for x, crystal in pairs(crystals) do
		if fy_User.localUser.alliedFaction == crystal.faction then
			MainCamera.SetRotation(54.0, 45.0, 0.0)
			MainCamera.LookAt(crystal.position)
			Picking.SetBlueprintPicker(AssetKey.New("Blueprints","Pallet"), true, true)
			Picking.pickerLocked = true
			Picking.buildmodeLocked = true
			break
		end
	end
end
Hooks.Connect(nhk_OnHostLoaded, OnHostLoaded)

local spawnedStockpiles = 0
function OnFactoryInstantiated(assetKey, object)
	
	if object ~= nil then
		if assetKey == AssetKey.New("ObjetsDynamiques","Palette") then
			if object.faction == fy_User.localUser.alliedFaction then
				spawnedStockpiles = spawnedStockpiles + 1
				tasks.placeStockpiles.Text.Text = "Place four stockpiles ("..spawnedStockpiles.."/4)"
			end
		end
	end
	if spawnedStockpiles == 4 then
		tasks.placeStockpiles.SetCheck(true)
		Picking.Clear()
		Hooks.Disconnect(hk_OnFactoryInstantiated, OnFactoryInstantiated)
	end
end
Hooks.Connect(hk_OnFactoryInstantiated, OnFactoryInstantiated)

function OnHostMessage(message, table)
	if message == "StartGame" then
		ChangeToMainUI()
		Picking.pickerLocked = false
		Picking.buildmodeLocked = false
	end
end
Hooks.Connect(nhk_OnHostMessage, OnHostMessage)