tasks = {}

function UISetup()
	--Init ui
	GMListTitle = LUI.ListTitle.New()

	--Building timer
	GMListTitle.SetNext(SkipTutorial)

	GMListTitle.Title.Text = "Race setup"
	GMListTitle.Subtitle.Text = "Freebies placement"

	--Building leaderboard
	LUI.Scoreboard.Add(GMListTitle)

	local task = LUI.Task.New()
	task.Text.Text = "Place four stockpiles (0/4)"
	LUI.Scoreboard.Add(task)
	tasks["placeStockpiles"] = task

	task = LUI.Task.New()
	task.Text.Text = "Wait for the other players..."
	LUI.Scoreboard.Add(task)
	tasks["waitPlayers"] = task

end

function ChangeToMainUI()
	GMListTitle.Destroy()
	for key, lui in pairs(tasks) do
		lui.Destroy()
	end


end