define "STANDALONE"

g_Initiated = false
function Init()

	g_Panel = lui_SimpleHorizontalPanel.New(nil, Vector3.zero)
	GS_Taskbar.AddElement(g_Panel)
	g_Panel.pivot = Vector2.zero;
	g_Panel.position = Vector3.zero;
	g_Panel.sizeDelta = Vector2.New(-56, 52)
	g_Initiated = true

end
Hooks.LateConnect(hk_OnFactoriesReady, Init)


function OnProjectCreated(newProject)
	
	if g_Initiated == false then
		return
	end

	if newProject.faction.owner == fy_User.localUser then
		local newButton = lui_TaskButton.New(nil, Vector3.zero)
		newButton.name = string.format("", newProject.name)
		newButton.SetProject(newProject)
		g_Panel.AddElement(newButton);
	end

end
Hooks.Connect(Project.hk_OnProjectStarted, OnProjectCreated)